iTunes Alternatives Needed!

Discussion in 'Mac Apps and Mac App Store' started by clawdaver, Sep 23, 2010.

  1. clawdaver macrumors newbie

    Joined:
    Sep 23, 2010
    #1
    Hello all, this is my first post, so please be gentle.

    I have a powerPC G4 400 mhz running OS X 10.2

    My wife was recently given a nano g6 as a gift and I'm trying to figure out a way to connect it to our mac.

    The nano needs iTunes 10 to work and iTunes 10 needs OS X 10.6 and OS X 10.6 needs an intel mac in order to work.

    so..........

    are there any alternatives to itunes that can handle an ipod as new as the g6 but also be able to use our old mac?

    It's looking like I'm at least going to have to upgrade the OS.

    Please let me know if you have any advice.
    Thanks in advance.

    CD
     
  2. miles01110 macrumors Core

    miles01110

    Joined:
    Jul 24, 2006
    Location:
    The Ivory Tower (I'm not coming down)
    #2
    iTunes 10 requires OS X 10.5.8 (the last version of Leopard), not SL. You need to upgrade to at least Leopard 10.5.8 to get iTunes 10 and therefore get your nano to work. There is no other way.
     
  3. r.j.s Moderator emeritus

    r.j.s

    Joined:
    Mar 7, 2007
    Location:
    Texas
    #3
    Unfortunately, that machine will not run Leopard either ...
     
  4. Consultant macrumors G5

    Consultant

    Joined:
    Jun 27, 2007
    #4
    That's the only computer you have in the house? Unfortunately, it's time to upgrade.

    You can probably find a G4 powermac running Leopard for the price of the iPod nano. Or get a refurb mac from Apple
     

Share This Page